# canvasGenerate

## Description

Generate base64 from an existing canvas,

### Platform Supported

* Web
* Mobile

## Input / Parameter

| Name         | Description                                             | Data Type | Default | Options | Required |
| ------------ | ------------------------------------------------------- | --------- | ------- | ------- | -------- |
| canvas       | An existing canvas to be copied over to the new canvas. | Text      | -       | -       | Yes      |
| canvasWidth  | Width of the new canvas.                                | Number    | 300     | -       | No       |
| canvasHeight | Height of the new canvas.                               | Number    | 300     | -       | No       |
| extra        | Additional data to be used in the callbacks.            | Any       | -       | -       | No       |

## Output

N/A

## Callback

### callback

The function to be executed when converting the canvas to base64 was successful.

| Description                       | Output Type |
| --------------------------------- | ----------- |
| Returns the base64 of the canvas. | Text        |

### errCallback

The function to be executed when converting the canvas to base64 was not successful.

| Description        | Output Type |
| ------------------ | ----------- |
| Returns the error. | Text        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/006-actions-and-visual-logic/action-reference/cordova/app/canvasgenerate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
